The Spring Framework

## org.springframework.aop.config
Class PointcutEntry

    java.lang.Object
      org.springframework.aop.config.PointcutEntry

All Implemented Interfaces:
  ParseState.Entry

    public class PointcutEntry

extends Object
implements ParseState.Entry

`ParseState` entry representing a pointcut.

Since:
  2.0
Author:
  Mark Fisher

Constructor Summary
`PointcutEntry(String name)` Creates a new instance of the `PointcutEntry` class.

Method Summary
`String` `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### PointcutEntry

    public PointcutEntry(String name)

  Creates a new instance of the `PointcutEntry` class.

  Parameters:
    `name` - the bean name of the pointcut

Method Detail

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

The Spring Framework

Copyright © 2002-2008 The Spring Framework.